package me.chyxion.tigon.mybatis;

/**
 * @author Donghuang <br>
 * donghuang@wacai.com <br>
 * Feb 23, 2017 17:58:09
 */
class AndSearchProcessor extends AbstractSearchProcessor {

    /**
     * {@inheritDoc}
     */
    @Override
    CriterionType type() {
        return CriterionType.AND;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    void doProcess(SearchProcessArgs args) {
        args.getResult().addAll(args.getCondition().getSearch().assemble(true));
    }
}
